import 'package:krow/core/data/models/staff_role.dart';
import 'package:krow/features/profile/role_kit/domain/staff_role_kit_repository_impl.dart';
import 'package:krow/features/profile/role_kit/domain/role_kit_entity.dart';

sealed class RoleKitEvent {}

class RoleKitEventFetch extends RoleKitEvent {
  final RoleKitType type;

  RoleKitEventFetch({required this.type});
}

class RoleKitEventSubmit extends RoleKitEvent {}

class RoleKiEventChangeState extends RoleKitEvent {
  final RoleKitEntity item;

  RoleKiEventChangeState(this.item);
}

class RoleKitEventUploadPhoto extends RoleKitEvent {
  final RoleKitEntity item;
  final String photoPath;

  RoleKitEventUploadPhoto({required this.item, required this.photoPath});
}

class RoleKitEventDeletePhoto extends RoleKitEvent {
  final RoleKitEntity item;

  RoleKitEventDeletePhoto(this.item);
}

class RoleKitEventSelectRole extends RoleKitEvent {
  final StaffRole role;

  RoleKitEventSelectRole({required this.role});
}
